# Maintainer: OpenStage Linux <openstagelinux@gmail.com>
# Contributor: gonzalo2099 <gonzalo2099@gmail.com>

pkgname=fishline-iso
pkgver=3.2.1
pkgrel=2
pkgdesc="Powerline build for fish-shell"
arch=('x86_64')
url="Powerline build for fish-shell"
license=('MIT')
depends=('fish')
url='https://github.com/0rax/fishline'
provides=("${pkgname}")
source=("git+${url}.git")


md5sums=('SKIP')

prepare() {
	if [ -f fish_prompt.fish ];then
		rm -r {fish_prompt,config}.fish
	fi
	echo -e "function fish_prompt\n\tfishline -l \$status SIGSTATUS JOBS VFISH USERHOST PWD GIT WRITE N SPACE\nend\n\nfunction fish_right_prompt\n\tfishline -l 0 -r EXECTIME CLOCK\nend" >> fish_prompt.fish
	echo -e "if status is-interactive\n\t# Commands to run in interactive sessions can go here\n\tinxi -SmIC\nend\n\nif status is-interactive\n\tset FLINE_PATH \$HOME/.config/fish/fishline\n\tsource \$FLINE_PATH/init.fish\nend" >> config.fish
}

package() {
	_skel_dir="$pkgdir/etc/skel/.config"
	mkdir -p {$_skel_dir,$_skel_dir/fish/functions}
	cp -r $srcdir/${pkgname%-*} $_skel_dir/fish
	chmod -R 777 $_skel_dir/fish/${pkgname%-*}
	cp -r $srcdir/fish_prompt.fish -t $_skel_dir/fish/functions
	cp -r $srcdir/config.fish -t $_skel_dir/fish
}
